SQL-инъекция в Pomm LTree Converter

Дата публикации:
21.02.2014
Дата изменения:
21.02.2014
Всего просмотров:
552
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:O/RC:C) = Base:6.4/Temporal:4.7
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Pomm (PHP Object Model Manager for Postgresql) 1.x
Уязвимые версии: Pomm (PHP Object Model Manager for Postgresql) 1.1.x, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в LTree converter перед использованием в SQL-запросе. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

URL производителя: http://www.pomm-project.org

Решение: Установите последнюю версию 1.1.5 или 1.2 с сайта производителя.

Ссылки: http://www.pomm-project.org/news/pomm-1-1-5-is-out.html
https://github.com/chanmix51/Pomm/issues/122

или введите имя

CAPTCHA